-- GD_yearTo_plusone_version v1.1
-- VERSION NUMBER
local GD_yearTo_plusone_version = 1

function data()
	return {
		info = {
			minorVersion = GD_yearTo_plusone_version,
			severityAdd = "NONE",
			severityRemove = "WARNING",
			name = _("info_name"),
			description = _("info_desc"),
			tags = {"Script Mod"},
			authors = {
				{
					name = 'Gordon Dry',
					role = 'Original creator',
					text = 'Yes, it is autism that needs fixation',
				},
			},
			visible = true,
		},
		options = {
		},
		runFn = function (settings)
			addModifier("loadModel", function (fileName, modelData)

				if (modelData.metadata) then
					if (modelData.metadata.availability) then
						if (modelData.metadata.availability.yearTo) then
							if modelData.metadata.availability.yearTo > 1850 then
								modelData.metadata.availability.yearTo = modelData.metadata.availability.yearTo + 1
							end
						end
					end
				end
				return modelData
			end)
		end
	}
end